default:
    formatters:
        progress: ~
    suites:
        api:
            contexts:
                - App\Tests\Behat\Context\EndpointsApi\RouteAvailabilityAndDataContext: ~
            paths:
                - "%paths.base%/tests/Behat/Feature/EndpointsApi"
        e2e:
            contexts:
                - Behat\MinkExtension\Context\MinkContext: ~
                - App\Tests\Behat\Context\Mink\MinkCustomContext: ~
            paths:
                - "%paths.base%/tests/Behat/Feature/Mink"

    extensions:
        FriendsOfBehat\SymfonyExtension: ~
        DAMA\DoctrineTestBundle\Behat\ServiceContainer\DoctrineExtension: ~
        Robertfausk\Behat\PantherExtension: ~
        Behat\MinkExtension:
            javascript_session: javascript_chrome
            sessions:
                default:
                    panther:
                        options:
                            webServerDir: '%paths.base%/public'
                javascript:
                    panther:
                        options: ~
                javascript_chrome:
                    panther:
                        options:
                            browser: 'chrome'
                            webServerDir: '%paths.base%/public' # your custom public dir
                javascript_with_all_options:
                    panther:
                        options:
                            env:
                                APP_ENV: 'test'
                            hostname: '127.0.0.1'
                        kernel_options: ~ # unused by behat-panther-extension cause it does not extend KernelTestCase
                        manager_options:
                            connection_timeout_in_ms: 5000
                            request_timeout_in_ms: 120000
